boost::geometry::geometry_id< Geometry > Struct Template Reference
core: meta-functions for geometry types

Meta-function returning the id of a geometry type. More...

## Detailed Description

### template<typename Geometry>
struct boost::geometry::geometry_id< Geometry >

Meta-function returning the id of a geometry type.

The meta-function geometry_id defines a numerical ID (based on boost::mpl::int_<...> ) for each geometry concept. A numerical ID is sometimes useful, and within Boost.Geometry it is used for the reverse_dispatch metafuntion.

Note:
  Used for e.g. reverse meta-function

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK